
%define __libtoolize    /bin/true

%define _requires_exceptions devel\(libnoatunarts\)\\|libnoatunarts.so\\|devel\(libnoatunarts\(.*\)\\|libwinskinvis.so

# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %mdkversion >= 200600
%define unstable 0
%else
%define unstable 0
%endif

%define lib_name_orig lib%{name}
%define lib_major 1
%define lib_name %mklibname %{name} %{lib_major}

%define use_enable_final 1

Name:		kdemultimedia
Icon:		kde-icon.xpm
Summary:	K Desktop Environment - Multimedia
Version:    3.4.2
Release:    %mkrel 10
Epoch:		1
Group:		Graphical desktop/KDE
License:	GPL

URL:		ftp://ftp.kde.org/pub/kde/stable/%version/src/
Source:     	ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2

Source2:	kdemultimedia-3.3.2-kscdrc

Source3:	kdemultimedia-3.3.2-add-multimedia-shortcuts-jukrc

Patch14:	kdemultimedia-3.3.0-fix-default-kaudiocreator-value.patch.bz2

Patch15:	kdemultimedia-3.3.0-fix-dont-start-visible.patch.bz2

Patch16:	kdemultimedia-3.3.0-fix-kmix-load.patch.bz2

Patch17:	kdemultimedia-3.2.3-kmix-fix-crash.patch.bz2

Patch18:	kdelibs-3.2-remove-rpath.patch.bz2

Patch24:	kdemultimedia-3.3.2-fix-kscd-kde-bug-92164.patch.bz2

Patch25:	kdemultimedia-3.3.2-fix-kmix-default-config.patch.bz2

Patch31:	kdemultimedia-3.3.2-fix-compile-with-cdda.patch.bz2

Patch32:	kdemultimedia-3.4.0-activate-kscd-numeric-acces.patch.bz2


Patch34:	kdemultimedia-3.4.1-fix-kscd-cdda-compile.patch.bz2

Patch35:	kdemultimedia-3.4.1-fix-gcc4-compile.patch.bz2

Patch36:	kdemultimedia-3.4.2-diff-20050823.patch

Patch37:	kdemultimedia-3.4.2-fix-kscd-audiodevice-default.patch

Patch38:	kdemultimedia-3.4.2-fix-kscd-autostart.patch

BuildRoot:	%_tmppath/%name-%version-%release-root



BuildRequires:  kdelibs-devel >= 3.2-13mdk cdparanoia libxine-devel libtaglib-devel >= 0.96 libflac++-devel, musicbrainz-devel


%if %mdkversion >= 920 
BuildRequires: automake1.7
%endif

BuildRequires:	autoconf2.5

BuildRequires:	libpolypaudio-devel libtunepimp-devel mad-devel libtheora-devel

BuildRequires:	libcdda-devel, oggvorbis-devel, libflac++-devel, liboggflac++-devel, libspeex-devel, libsamplerate-devel

Requires:	kdemultimedia-common = %epoch:%version-%release
Requires:	kdemultimedia-kmidi = %epoch:%version-%release
Requires:	kdemultimedia-kmix = %epoch:%version-%release
Requires:	kdemultimedia-krec = %epoch:%version-%release
Requires:	kdemultimedia-kmid = %epoch:%version-%release
Requires:	kdemultimedia-kaudiocreator = %epoch:%version-%release
Requires:	kdemultimedia-kscd = %epoch:%version-%release
Requires:	kdemultimedia-kaboodle = %epoch:%version-%release
Requires:	kdemultimedia-noatun = %epoch:%version-%release

Conflicts:	%{mklibname kdemultimedia 1}-noatun <= %epoch:3.2-14mdk

%description
Multimedia tools for the K Desktop Environment.
	- noatun: a multimedia player for sound and movies, very extensible due 
			  to it's plugin interface
	- kaudiocreator: CD ripper and audio encoder frontend.
	- kaboodle: light media player
	- kmid: A standalone and embeddable midi player, includes a karaoke-mode
	- kmix: the audio mixer as a standalone program and Kicker applet
	- kscd: A CD player with an interface to the internet CDDB database
	- krec: A recording frontend using aRts


%package common
Summary:	Common files for kdemultimedia
Group:		Development/KDE and Qt

Requires:	%lib_name-common = %epoch:%version-%release

Requires:	arts, vorbis-tools

Obsoletes:	kdemultimedia3
Provides:	kdemultimedia3
Obsoletes:	kdemultimedia-aktion
Conflicts:	%{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk

%description common
Common files for kdemultimedia



%package -n %lib_name-common-devel
Summary:	Header files for kdemultimedia
Group:		Development/KDE and Qt
Requires:		%lib_name-common = %epoch:%version-%release

Obsoletes:  kdemultimedia3-devel
Provides:   kdemultimedia3-devel

Obsoletes:  kdemultimedia-devel
Provides:   kdemultimedia-devel = %epoch:%version-%release

Obsoletes:  %lib_name-devel
Provides:   %lib_name-devel = %epoch:%version-%release
Provides:	%lib_name_orig-common-devel = %epoch:%version-%release
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk

%description -n %lib_name-common-devel
Header files needed for developing kdemultimedia applications.


%package -n %lib_name-common
Summary:	Librairies files for kdemultimedia
Group:		Development/KDE and Qt

Obsoletes:  %lib_name
Provides:   %lib_name = %epoch:%version-%release
Provides:	%lib_name_orig-common = %epoch:%version-%release
Conflicts:	kdemultimedia <= 3.1-10mdk
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk

%description -n %lib_name-common
Librairies files needed for developing kdemultimedia applications.



%package kmidi
Summary:       midi player, can use sound patch files and create a WAV file
Group:         Graphical desktop/KDE
Requires:                kdemultimedia-common = %epoch:%version-%release
Requires:      timidity-instruments
Provides:		kmidi
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk

%description kmidi
KMidi plays midi files using instrument patches. It does in software what a
soundcard like the GUS (Gravis UltraSound) or Sound Blaster AWE does in
hardware.  So, the only hardware you need is a simple soundcard or chip. Even
if you have a GUS or AWE, you might still like to try KMidi, since it sounds
pretty good. 


%package juk
Summary:       JuK is a jukebox and music manager for the KDE desktop.
Group:         Graphical desktop/KDE
Requires:      kdemultimedia-common = %epoch:%version-%release
Provides:	juk
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk

%description juk
JuK is a jukebox and music manager for the KDE desktop similar to 
jukebox software on other platforms such as iTunes or RealOne. 
Its features include support for Ogg Vorbis and MP3 formats, 
tag editing support for both formats (including ID3v2 for MP3 files), 
output to aRts or GStreamer, multiple playlists, and lots of other 
groovy stuff.

%package kmix
Summary:       kmix, kmixctrl program
Group:         Graphical desktop/KDE
Requires:	%lib_name-kmix = %epoch:%version-%release

Provides:	kmix, kmixctrl
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Requires:	arts
Requires:	 alsa-utils

%description kmix
The audio mixer as a standalone program and Kicker applet

%package -n %lib_name-kmix
Summary:       Librairies kmix, kmixctrl 
Group:         Development/KDE and Qt
Conflicts:      kdemultimedia <= 3.1-10mdk
Provides:	%lib_name_orig-kmix = %epoch:%version-%release
Requires:       libkdecore >= 3.1.91
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk

%description -n %lib_name-kmix
Kmix, kmixctrl program


%package krec
Summary:       krec program
Group:         Graphical desktop/KDE
Requires:	%lib_name-krec = %epoch:%version-%release
Requires:	%lib_name-common = %epoch:%version-%release
Conflicts:      kdemultimedia <= 3.1-10mdk
Provides:	krec
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk

%description krec
A recording frontend using aRts


%package -n %lib_name-krec
Summary:       Librairies krec
Group:         Development/KDE and Qt
Provides:	%lib_name_orig-krec = %epoch:%version-%release
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk

%description -n %lib_name-krec
Librairies for Krec program

%package kscd
Summary:       kscd program
Group:         Graphical desktop/KDE

Provides:	kscd
Requires:	%lib_name-kscd = %epoch:%version-%release
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Requires:	arts


%description kscd
A CD player with an interface to the internet CDDB database

%package -n %lib_name-kscd
Summary:       Librairie for kscd program
Group:         Development/KDE and Qt
Conflicts:      kdemultimedia <= 3.1-10mdk
Requires:		libkdecore >= 3.1.91
Provides:	%lib_name_orig-kscd = %epoch:%version-%release
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Requires:	arts

%description -n %lib_name-kscd
Librairie for kscd

%package -n %lib_name-kscd-devel
Summary:       Devel files for kscd program
Group:         Development/KDE and Qt
Provides:	%lib_name_orig-kscd-devel = %epoch:%version-%release
Requires:	%lib_name-kscd = %epoch:%version-%release
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk

%description -n %lib_name-kscd-devel
Devel files for kscd


%package kmid
Summary:       kmid program
Group:         Graphical desktop/KDE
Provides:	kmid
Conflicts:      kdemultimedia <= 3.1-10mdk
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk

%description kmid
Kmid program

%package kaudiocreator
Summary:       kaudiocreator program
Group:         Graphical desktop/KDE
Conflicts:      kdemultimedia <= 3.1-10mdk
Provides:	kaudiocreator
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Requires:	arts
Requires:	%lib_name-common = %epoch:%version-%release
Requires:	kdemultimedia-common = %epoch:%version-%release

%description kaudiocreator
CD ripper and audio encoder frontend.


%package kaboodle
Summary:       kaboodle program
Group:         Graphical desktop/KDE
Requires:	%lib_name-kaboodle = %epoch:%version-%release
Provides:	kaboodle
Conflicts:      kdemultimedia <= 3.1-10mdk
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Requires:	arts

%description kaboodle
Light media player

%package -n %lib_name-kaboodle
Summary:       Librairies kaboodle
Group:         Development/KDE and Qt
Provides:	%lib_name_orig-kaboodle = %epoch:%version-%release
Requires:	libkdecore >= 3.1.91
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk

%description -n %lib_name-kaboodle
Librairies for Kaboodle program

%package noatun
Summary:       noatun program
Group:         Graphical desktop/KDE
Requires:	%lib_name-noatun = %epoch:%version-%release
Requires:	%lib_name-common = %epoch:%version-%release
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk

Provides:	noatun


%description noatun
A multimedia player for sound and movies, very extensible due to 
it's plugin interface

%package -n %lib_name-noatun
Summary:       Librarie for Noatun  program
Group:         Development/KDE and Qt
Conflicts:		kdemultimedia <= 3.1-10mdk
Provides:	%lib_name_orig-noatun = %epoch:%version-%release
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk

%description -n %lib_name-noatun
Librairie for noatun program

%package -n %lib_name-noatun-devel
Summary:       Devel files for Noatun  program
Group:         Development/KDE and Qt
Requires:	%lib_name-noatun = %epoch:%version-%release
Provides:	%lib_name_orig-noatun-devel = %epoch:%version-%release
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk

%description -n %lib_name-noatun-devel
Devel files for noatun program


%prep


%setup -q 

%patch14 -p1 -b .kaudiocreator_default_value

%patch15 -p1 -b .fix_kmix_start_hide

%patch16 -p1 -b .kmix_dont_load_volume_on_startup

%patch18 -p1 -b .fix_remove_rpath

%patch25 -p1 -b .fix_autostart_kmix

%patch31 -p1 -b .fix_compile_with_cdda

%patch32 -p1 -b .fix_kscd_numeric_acces


%patch34 -p1 -b .fix_kscd_compile_cdda

%patch35 -p1 -b .fix_juk_compile_gcc4

%patch36 -p1 -b .diff_20050818

%patch37 -p1 -b .kscd_direct_audio_device_default

%patch38 -p1 -b .kscd_auto_start

%build
make -f admin/Makefile.common cvs


export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH



%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
%{?__cputoolize: %{__cputoolize} }
	%configure --build=%_target_platform \
		    --host=%_target_platform \
			--enable-new-ldflags \
%if %unstable
			--enable-debug=full \
%else
			--disable-debug \
%endif
		    --enable-shared \
		    --disable-static \
		    --disable-embedded \
		    --disable-palmtop \
		    --disable-rpath \
		    --with-gnu-ld \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
		    --with-pic \
		    --with-xinerama \
			--with-kscd-cdda \
%if %use_enable_final
			--enable-final \
%else
			--disable-final \
%endif
%ifarch %ix86
                    --with-alsa 
%endif


find -name Makefile | xargs perl -pi -e "s|-ansi||"
find -name Makefile | xargs perl -pi -e "s|-pedantic||"

%make


%install
rm -fr %buildroot
export PATH=%_bindir:$PATH
# David - 2.2-0.alpha2.4mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot



# Create LMDK structure
install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applications/kde/artsbuilder.desktop %buildroot/%_menudir/kdemultimedia-artsbuilder kde
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applications/kde/artscontrol.desktop %buildroot/%_menudir/kdemultimedia-artscontrol kde
kdedesktop2mdkmenu.pl kdemultimedia-kmid Multimedia/Sound %buildroot/%_datadir/applications/kde/kmid.desktop %buildroot/%_menudir/kdemultimedia-kmid kde
kdedesktop2mdkmenu.pl kdemultimedia-kmix Multimedia/Sound %buildroot/%_datadir/applications/kde/kmix.desktop %buildroot/%_menudir/kdemultimedia-kmix kde
kdedesktop2mdkmenu.pl kdemultimedia-kscd Multimedia/Sound %buildroot/%_datadir/applications/kde/kscd.desktop %buildroot/%_menudir/kdemultimedia-kscd kde
kdedesktop2mdkmenu.pl kdemultimedia-noatun Multimedia/Sound %buildroot/%_datadir/applications/kde/noatun.desktop %buildroot/%_menudir/kdemultimedia-noatun kde
kdedesktop2mdkmenu.pl kdemultimedia-kaboodle Multimedia/Sound %buildroot/%_datadir/applications/kde/kaboodle.desktop %buildroot/%_menudir/kdemultimedia-kaboodle kde
kdedesktop2mdkmenu.pl kdemultimedia-kaudiocreator Multimedia/Sound %buildroot/%_datadir/applications/kde/kaudiocreator.desktop %buildroot/%_menudir/kdemultimedia-kaudiocreator kde
kdedesktop2mdkmenu.pl kdemultimedia-krec Multimedia/Sound %buildroot/%_datadir/applications/kde/krec.desktop %buildroot/%_menudir/kdemultimedia-krec kde
kdedesktop2mdkmenu.pl kdemultimedia-common System/Configuration/KDE/Sound %buildroot/%_datadir/applications/kde/audiocd.desktop %buildroot/%_menudir/kdemultimedia-audiocd kde
kdedesktop2mdkmenu.pl kdemultimedia-kscd System/Configuration/KDE/Sound %buildroot/%_datadir/applications/kde/libkcddb.desktop %buildroot/%_menudir/kdemultimedia-libkcddb kde
#kdedesktop2mdkmenu.pl kdemultimedia-kmix System/Configuration/KDE/Sound %buildroot/%_datadir/applications/kde/kmixcfg.desktop %buildroot/%_menudir/kdemultimedia-kmixcfg kde
kdedesktop2mdkmenu.pl kdemultimedia-juk Multimedia/Sound %buildroot/%_datadir/applications/kde/juk.desktop %buildroot/%_menudir/kdemultimedia-juk




# David - 2.1-1mdk - Title of %buildroot/%_menudir/kdemultimedia-kmidi is
#                    "Midi/Karaoke". "Midi/" create a new and non wished
#                    subdirectory. Foolowing command fix that
perl -pi -e "s|Midi\/|Midi and |" %buildroot/%_menudir/kdemultimedia-kmid

# That is not timidity
rm -f %buildroot/%_bindir/timidity



# David - 2.2-0.beta1.1mdk - Remove some non legal songs
for i in %buildroot/%_datadir/apps/kmidi/*.mid ; do rm -f $i ; done


install -d -m 0775 %buildroot/%_datadir/config/
install -m 0644 %SOURCE2 %buildroot/%_datadir/config/kscdrc
install -m 0644 %SOURCE3 %buildroot/%_datadir/config/jukrc

%post common 
/sbin/ldconfig
%update_menus

%postun common 
/sbin/ldconfig
%clean_menus

%post kmix 
/sbin/ldconfig
%update_menus

%postun  kmix 
/sbin/ldconfig
%clean_menus

%post -n %lib_name-kmix -p /sbin/ldconfig

%postun -n %lib_name-kmix -p /sbin/ldconfig

%post  kmidi 
/sbin/ldconfig

%postun  kmidi 
/sbin/ldconfig


%post  krec 
/sbin/ldconfig
%update_menus

%postun  krec 
/sbin/ldconfig
%clean_menus

%post  juk 
/sbin/ldconfig
%update_menus

%postun  juk 
/sbin/ldconfig
%clean_menus


%post  kscd 
/sbin/ldconfig
%update_menus

%postun  kscd 
/sbin/ldconfig
%clean_menus

%post  kmid 
/sbin/ldconfig
%update_menus

%postun  kmid 
/sbin/ldconfig
%clean_menus

%post  kaudiocreator 
/sbin/ldconfig
%update_menus

%postun  kaudiocreator 
/sbin/ldconfig
%clean_menus


%post -n %lib_name-krec -p /sbin/ldconfig

%postun -n %lib_name-krec -p  /sbin/ldconfig

%post -n %lib_name-kscd -p /sbin/ldconfig

%postun -n %lib_name-kscd -p  /sbin/ldconfig



%post  kaboodle 
/sbin/ldconfig
%update_menus

%postun  kaboodle 
/sbin/ldconfig
%clean_menus

%post  noatun 
/sbin/ldconfig
%update_menus

%postun  noatun 
/sbin/ldconfig
%clean_menus

%post -n %lib_name-noatun -p /sbin/ldconfig

%postun -n %lib_name-noatun -p  /sbin/ldconfig


%post -n %lib_name-kaboodle -p /sbin/ldconfig

%postun -n %lib_name-kaboodle -p  /sbin/ldconfig

%post -n %lib_name-common -p /sbin/ldconfig

%postun -n %lib_name-common -p  /sbin/ldconfig


%clean
rm -fr %buildroot

%files



%files common
%defattr(-,root,root)
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/artsbuilder/
%doc %_docdir/HTML/en/artsbuilder/common
%doc %_docdir/HTML/en/artsbuilder/*.docbook
%doc %_docdir/HTML/en/artsbuilder/*.png
%doc %_docdir/HTML/en/artsbuilder/*.bz2
#
%dir %_docdir/HTML/en/artsbuilder/images/
%_docdir/HTML/en/artsbuilder/images/*.png
%dir %_datadir/apps/videothumbnail/
%_datadir/apps/videothumbnail/*.png

%_menudir/kdemultimedia-artsbuilder
%_menudir/kdemultimedia-artscontrol

%_sysconfdir/xdg/menus/applications-merged/kde-multimedia-music.menu


%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/artscontrolapplet.desktop

%_bindir/artsbuilder
%_bindir/artscontrol
%_bindir/midisend
%_bindir/mpeglibartsplay
%_bindir/yaf-cdda
%_bindir/yaf-mpgplay
%_bindir/yaf-splay
%_bindir/yaf-tplay
%_bindir/yaf-vorbis
%_bindir/yaf-yuv
#
%_libdir/kde3/kfile_*.la
%_libdir/kde3/kfile_*.so
%_libdir/kde3/kcm_audiocd.la
%_libdir/kde3/kcm_audiocd.so
%_libdir/kde3/kio_audiocd.la
%_libdir/kde3/kio_audiocd.so


%doc %_docdir/HTML/en/kio_audiocd/audiocd.docbook
%_datadir/apps/konqueror/servicemenus/audiocd_play.desktop


%_datadir/icons/crystalsvg/scalable/apps/artsbuilder.svgz
#
%_menudir/kdemultimedia-audiocd
%_datadir/desktop-directories/kde-multimedia-music.directory
%_datadir/apps/kconf_update/audiocd.upd
%_datadir/apps/kconf_update/upgrade-metadata.sh
#
#
%_datadir/apps/artsbuilder/pics/*.png
%_datadir/applications/kde/artsbuilder.desktop
%_datadir/applications/kde/artscontrol.desktop
#
#



%_datadir/applications/kde/audiocd.desktop

#

#
#
%dir %_datadir/apps/
%dir %_datadir/apps/artsbuilder/
%_datadir/apps/artsbuilder/*.rc
%dir %_datadir/apps/artsbuilder/examples/
%_datadir/apps/artsbuilder/examples/README
%_datadir/apps/artsbuilder/examples/*.arts
%_datadir/apps/artsbuilder/examples/*.arts-map
#
%dir %_datadir/apps/artsbuilder/examples/todo/
%_datadir/apps/artsbuilder/examples/todo/*.arts
#
%dir %_datadir/apps/artsbuilder/pics/
%_datadir/apps/artsbuilder/pics/*.xpm
#
#
%dir %_datadir/apps/artscontrol/
%_datadir/apps/artscontrol/*.rc
#

%dir %_iconsdir/crystalsvg/
%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/artsbuilder.png
%_iconsdir/crystalsvg/16x16/apps/artscontrol.png
#
%dir %_iconsdir/crystalsvg/16x16/actions/

%dir %_iconsdir/crystalsvg/22x22/actions/

%dir %_iconsdir/crystalsvg/128x128/actions/
%_iconsdir/crystalsvg/128x128/actions/arts*.png
%_iconsdir/crystalsvg/128x128/apps/artscontrol.png
%_iconsdir/crystalsvg/16x16/actions/arts*.png
%_iconsdir/crystalsvg/22x22/actions/arts*.png
%_iconsdir/crystalsvg/22x22/apps/artscontrol.png
%_iconsdir/crystalsvg/32x32/actions/arts*.png
%_iconsdir/crystalsvg/32x32/apps/artscontrol.png
%_iconsdir/crystalsvg/48x48/actions/arts*.png
%_iconsdir/crystalsvg/48x48/apps/artscontrol.png
%_iconsdir/crystalsvg/64x64/actions/arts*.png
%_iconsdir/crystalsvg/64x64/apps/artscontrol.png

%dir %_iconsdir/crystalsvg/scalable/
%dir %_iconsdir/crystalsvg/scalable/actions/
%_iconsdir/crystalsvg/scalable/actions/arts*.svg
%dir %_iconsdir/crystalsvg/scalable/apps/
%_iconsdir/crystalsvg/scalable/apps/artscontrol.svg

#
#
%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/x-artsbuilder.desktop

#
%dir %_datadir/services/
%_datadir/services/audiocd.protocol

%_datadir/services/kfile_au.desktop
%_datadir/services/kfile_avi.desktop
%_datadir/services/kfile_m3u.desktop
%_datadir/services/kfile_mp3.desktop
%_datadir/services/kfile_ogg.desktop
%_datadir/services/kfile_wav.desktop
%_datadir/services/kfile_flac.desktop
%_datadir/services/kfile_sid.desktop
%_datadir/services/kfile_mpc.desktop


%_libdir/kde3/videothumbnail.la
%_libdir/kde3/videothumbnail.so

%_libdir/kde3/libaudiocd_encoder_flac.la
%_libdir/kde3/libaudiocd_encoder_flac.so
%_libdir/kde3/libaudiocd_encoder_lame.la
%_libdir/kde3/libaudiocd_encoder_lame.so
%_libdir/kde3/libaudiocd_encoder_vorbis.la
%_libdir/kde3/libaudiocd_encoder_vorbis.so
%_libdir/kde3/libaudiocd_encoder_wav.la
%_libdir/kde3/libaudiocd_encoder_wav.so

%_datadir/apps/kappfinder/apps/Multimedia/*.desktop

%_datadir/services/videothumbnail.desktop
%_datadir/services/kfile_theora.desktop

%dir %_datadir/config.kcfg/
%_datadir/config.kcfg/audiocd_lame_encoder.kcfg
%_datadir/config.kcfg/audiocd_vorbis_encoder.kcfg


%files -n %lib_name-common
%defattr(-,root,root,-)
%_libdir/libarts_mpeglib.la
%_libdir/libarts_splay.la
%_libdir/libartsbuilder.la
%_libdir/libartsgui.la
%_libdir/libartsgui_idl.la
%_libdir/libartsgui_kde.la
%_libdir/libartsmidi.la
%_libdir/libartsmidi_idl.la
%_libdir/libartsmodules.la
%_libdir/libmpeg.la
%_libdir/libaudiofilearts.la
%_libdir/libyafcore.la
%_libdir/libyafxplayer.la
%_libdir/libarts_xine.la
%_libdir/libakode_alsa_sink.la
%_libdir/libakode_alsa_sink.so
%_libdir/libakode_jack_sink.la
%_libdir/libakode_jack_sink.so
%_libdir/libakode_oss_sink.la
%_libdir/libakode_oss_sink.so
%_libdir/libakode_polyp_sink.la
%_libdir/libakode_polyp_sink.so


##
%_libdir/libarts_mpeglib-0.3.0.so.0*

%_libdir/libarts_splay.so.*
%_libdir/libartsbuilder.so.*
%_libdir/libartsgui.so.*
%_libdir/libartsgui_idl.so.*
%_libdir/libartsgui_kde.so.*
%_libdir/libartsmidi.so.*
%_libdir/libartsmidi_idl.so.*
%_libdir/libartsmodules.so.*
%_libdir/libaudiofilearts.so
%_libdir/libyafcore.so.*
%_libdir/libyafxplayer.so.*
%_libdir/libarts_xine.so
%_libdir/libartscontrolapplet.la
%_libdir/libartscontrolapplet.so.*
%_libdir/libartscontrolsupport.la
%_libdir/libartscontrolsupport.so.*
%_libdir/libartsmodulescommon.la
%_libdir/libartsmodulescommon.so.*
%_libdir/libartsmoduleseffects.la
%_libdir/libartsmoduleseffects.so.*
%_libdir/libartsmodulesmixers.la
%_libdir/libartsmodulesmixers.so.*
%_libdir/libartsmodulessynth.la
%_libdir/libartsmodulessynth.so.*

%_libdir/libkcddb.la
%_libdir/libkcddb.so.1
%_libdir/libkcddb.so.1.0.0
%_libdir/libmpeg-0.3.0.so

%_libdir/libkmidlib.la
%_libdir/libkmidlib.so.*


%_libdir/libakode.la
%_libdir/libakode.so.*
%_libdir/libakode_mpc_decoder.la
%_libdir/libakode_mpc_decoder.so
%_libdir/libakode_mpeg_decoder.la
%_libdir/libakode_mpeg_decoder.so
%_libdir/libakode_src_resampler.la
%_libdir/libakode_src_resampler.so
%_libdir/libakode_xiph_decoder.la
%_libdir/libakode_xiph_decoder.so

%_libdir/libarts_akode.la
%_libdir/libarts_akode.so


%_libdir/libaudiocdplugins.la
%_libdir/libaudiocdplugins.so.*

%dir %_libdir/mcop/
%_libdir/mcop/CDDAPlayObject.mcopclass
%_libdir/mcop/MP3PlayObject.mcopclass
%_libdir/mcop/NULLPlayObject.mcopclass
%_libdir/mcop/OGGPlayObject.mcopclass
%_libdir/mcop/SplayPlayObject.mcopclass
%_libdir/mcop/WAVPlayObject.mcopclass
%_libdir/mcop/artsbuilder.mcopclass
%_libdir/mcop/artsbuilder.mcoptype
%_libdir/mcop/artsgui.mcopclass
%_libdir/mcop/artsgui.mcoptype
%_libdir/mcop/artsmidi.mcopclass
%_libdir/mcop/artsmidi.mcoptype
%_libdir/mcop/artsmodules.mcopclass
%_libdir/mcop/artsmodules.mcoptype
%_libdir/mcop/audiofilearts.mcopclass
%_libdir/mcop/audiofilearts.mcoptype

%_libdir/mcop/akodeMPCPlayObject.mcopclass
%_libdir/mcop/akodeMPEGPlayObject.mcopclass
%_libdir/mcop/akodePlayObject.mcopclass
%_libdir/mcop/akodeSpeexStreamPlayObject.mcopclass
%_libdir/mcop/akodeVorbisStreamPlayObject.mcopclass
%_libdir/mcop/akodeXiphPlayObject.mcopclass
%_libdir/mcop/akodearts.mcopclass
%_libdir/mcop/akodearts.mcoptype
%_libdir/mcop/xineAudioPlayObject.mcopclass
%_libdir/mcop/xineVideoPlayObject.mcopclass

#
%dir %_libdir/mcop/Arts/
%_libdir/mcop/Arts/*.mcopclass
#
#
%dir %_libdir/mcop/Arts/Environment/
%_libdir/mcop/Arts/Environment/*.mcopclass

%_libdir/mcop/artsmodulescommon.mcopclass
%_libdir/mcop/artsmodulescommon.mcoptype
%_libdir/mcop/artsmoduleseffects.mcopclass
%_libdir/mcop/artsmoduleseffects.mcoptype
%_libdir/mcop/artsmodulesmixers.mcopclass
%_libdir/mcop/artsmodulesmixers.mcoptype
%_libdir/mcop/artsmodulessynth.mcopclass
%_libdir/mcop/artsmodulessynth.mcoptype

#
%files -n %lib_name-kaboodle
%defattr(-,root,root,-)


%files noatun
%defattr(-,root,root,-)
%dir %_docdir/HTML/en/noatun/
%doc %_docdir/HTML/en/noatun/common
%doc %_docdir/HTML/en/noatun/*.docbook
%doc %_docdir/HTML/en/noatun/*.bz2
%_datadir/apps/noatun/yhconfig.kcfg
%_bindir/noatun
%_menudir/kdemultimedia-noatun

%_libdir/kde3/noatun*.so
%_libdir/kde3/noatun*.la


%_datadir/applications/kde/noatun.desktop

%dir %_datadir/apps/noatun/
%_datadir/apps/noatun/*.plugin
%_datadir/apps/noatun/*.rc
%_datadir/apps/noatun/magictable
#
%dir %_datadir/apps/noatun/eq.preset/
%_datadir/apps/noatun/eq.preset/*.dance
%_datadir/apps/noatun/eq.preset/*.jazz
%_datadir/apps/noatun/eq.preset/*.metal
%_datadir/apps/noatun/eq.preset/*.trance
%_datadir/apps/noatun/eq.preset/*.zero
#
%dir %_datadir/apps/noatun/icons/
%dir %_datadir/apps/noatun/icons/crystalsvg/
%dir %_datadir/apps/noatun/icons/crystalsvg/16x16/
%dir %_datadir/apps/noatun/icons/crystalsvg/16x16/actions/
%_datadir/apps/noatun/icons/crystalsvg/16x16/actions/*.png
#
%dir %_datadir/apps/noatun/icons/crystalsvg/22x22/
%dir %_datadir/apps/noatun/icons/crystalsvg/22x22/actions/
%_datadir/apps/noatun/icons/crystalsvg/22x22/actions/*.png
#
%dir %_datadir/apps/noatun/icons/crystalsvg/32x32/
%dir %_datadir/apps/noatun/icons/crystalsvg/32x32/actions/
%_datadir/apps/noatun/icons/crystalsvg/32x32/actions/*.png
#
%dir %_datadir/apps/noatun/icons/crystalsvg/48x48/
%dir %_datadir/apps/noatun/icons/crystalsvg/48x48/actions/
%_datadir/apps/noatun/icons/crystalsvg/48x48/actions/*.png
#
#
%dir %_datadir/apps/noatun/icons/crystalsvg/128x128/
%dir %_datadir/apps/noatun/icons/crystalsvg/128x128/actions/
%_datadir/apps/noatun/icons/crystalsvg/128x128/actions/equalizer.png
%_datadir/apps/noatun/icons/crystalsvg/128x128/actions/playlist.png

%dir %_datadir/apps/noatun/icons/crystalsvg/64x64/
%dir %_datadir/apps/noatun/icons/crystalsvg/64x64/actions/
%_datadir/apps/noatun/icons/crystalsvg/64x64/actions/equalizer.png
%_datadir/apps/noatun/icons/crystalsvg/64x64/actions/playlist.png


#
#
%dir %_datadir/apps/noatun/skins/
%dir %_datadir/apps/noatun/skins/kaiman/
%dir %_datadir/apps/noatun/skins/kaiman/car-preset/
%_datadir/apps/noatun/skins/kaiman/car-preset/*.png
%_datadir/apps/noatun/skins/kaiman/car-preset/skindata
#
%dir %_datadir/apps/noatun/skins/kaiman/circle/
%_datadir/apps/noatun/skins/kaiman/circle/*.png
%_datadir/apps/noatun/skins/kaiman/circle/skindata
#
%dir %_datadir/apps/noatun/skins/kaiman/k9/
%_datadir/apps/noatun/skins/kaiman/k9/README
%_datadir/apps/noatun/skins/kaiman/k9/*.jpg
%_datadir/apps/noatun/skins/kaiman/k9/*.png
%_datadir/apps/noatun/skins/kaiman/k9/skindata
#
#
%dir %_datadir/apps/noatun/skins/winamp/
%dir %_datadir/apps/noatun/skins/winamp/Winamp/

%_datadir/apps/noatun/skins/winamp/Winamp/*.BMP
%_datadir/apps/noatun/skins/winamp/Winamp/*.TXT
#
#
%dir %_datadir/apps/noatun/skins/kjofol
%dir %_datadir/apps/noatun/skins/kjofol/HexoBronx/
%_datadir/apps/noatun/skins/kjofol/HexoBronx/*.rc
%_datadir/apps/noatun/skins/kjofol/HexoBronx/*.txt
%_datadir/apps/noatun/skins/kjofol/HexoBronx/*.png

%dir %_datadir/apps/noatun/skins/kjofol/kjofol/
%_datadir/apps/noatun/skins/kjofol/kjofol/*.dck
%_datadir/apps/noatun/skins/kjofol/kjofol/*.pl
%_datadir/apps/noatun/skins/kjofol/kjofol/*.rc
%_datadir/apps/noatun/skins/kjofol/kjofol/*.wsh
%_datadir/apps/noatun/skins/kjofol/kjofol/*.png
%_datadir/apps/noatun/skins/kjofol/kjofol/*.bmp

%dir %_datadir/apps/noatun/skins/kjofol/phong/
%_datadir/apps/noatun/skins/kjofol/phong/*.dck
%_datadir/apps/noatun/skins/kjofol/phong/*.rc
%_datadir/apps/noatun/skins/kjofol/phong/*.txt
%_datadir/apps/noatun/skins/kjofol/phong/*.wsh
%_datadir/apps/noatun/skins/kjofol/phong/*.png

%dir %_datadir/apps/noatun/skins/kjofol/vibrocentric/
%_datadir/apps/noatun/skins/kjofol/vibrocentric/*.png
%_datadir/apps/noatun/skins/kjofol/vibrocentric/*.dck
%_datadir/apps/noatun/skins/kjofol/vibrocentric/*.rc
%_datadir/apps/noatun/skins/kjofol/vibrocentric/*.txt
%_datadir/apps/noatun/skins/kjofol/vibrocentric/*.wsh


%dir %_datadir/mimelnk/interface/
%_datadir/mimelnk/interface/x-winamp-skin.desktop

%_iconsdir/crystalsvg/128x128/apps/noatun.png
%_iconsdir/crystalsvg/16x16/apps/noatun.png
%_iconsdir/crystalsvg/22x22/apps/noatun.png
%_iconsdir/crystalsvg/32x32/apps/noatun.png
%_iconsdir/crystalsvg/48x48/apps/noatun.png

%_iconsdir/crystalsvg/64x64/apps/noatun.png

%_datadir/apps/kconf_update/noatun20update
%_datadir/apps/kconf_update/noatun.upd


%files -n %lib_name-noatun
%defattr(-,root,root,-)
%dir %_libdir/mcop/Noatun/
%_libdir/mcop/Noatun/*.mcopclass

%_libdir/mcop/artseffects.mcopclass            
%_libdir/mcop/VoiceRemoval.mcopclass
%_libdir/mcop/artseffects.mcoptype             
%_libdir/mcop/noatunarts.mcopclass  
%_libdir/mcop/winskinvis.mcopclass
%_libdir/mcop/ExtraStereoGuiFactory.mcopclass  
%_libdir/mcop/noatunarts.mcoptype   
%_libdir/mcop/winskinvis.mcoptype
%_libdir/mcop/ExtraStereo.mcopclass            
%_libdir/mcop/RawWriter.mcopclass



%_libdir/kde3/noatun*.so
%_libdir/kde3/noatun.la

%_libdir/libartseffects.la*
%_libdir/libnoatuncontrols.so.*
%_libdir/libnoatuntags.so.*

%_libdir/libnoatunarts.la*
%_libdir/libnoatun.la*
%_libdir/libwinskinvis.la*
%_libdir/libnoatun.so.*

%_libdir/libnoatuncontrols.la*
%_libdir/libnoatuntags.la*
%_libdir/libkdeinit_noatun.la
%_libdir/libkdeinit_noatun.so

#
%files -n %lib_name-noatun-devel
%defattr(-,root,root,-)

%dir %_includedir/noatun/
%_includedir/noatun/*.h

%_includedir/cmodule.h     
%_includedir/equalizerview.h  
%_includedir/mimetypetree.h  
%_includedir/plugin_deps.h
%_includedir/effectview.h  
%_includedir/ksaver.h 


%_libdir/libnoatunarts.so
%_libdir/libnoatuncontrols.so
%_libdir/libnoatun.so
%_libdir/libnoatuntags.so


%files kaboodle
%defattr(-,root,root,-)
%_datadir/services/kaboodle_component.desktop
%_datadir/services/kaboodleengine.desktop

%_menudir/kdemultimedia-kaboodle

%_datadir/applications/kde/kaboodle.desktop

%_libdir/kde3/libkaboodlepart.la
%_libdir/kde3/libkaboodlepart.so

%_bindir/kaboodle
%dir %_datadir/apps/kaboodle/
%_datadir/apps/kaboodle/*.rc



%dir %_datadir/apps/kaboodle/icons/
%dir %_datadir/apps/kaboodle/icons/crystalsvg/
%dir %_datadir/apps/kaboodle/icons/crystalsvg/16x16/
%dir %_datadir/apps/kaboodle/icons/crystalsvg/16x16/actions/
%_datadir/apps/kaboodle/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/apps/kaboodle/icons/crystalsvg/22x22/
%dir %_datadir/apps/kaboodle/icons/crystalsvg/22x22/actions/
%_datadir/apps/kaboodle/icons/crystalsvg/22x22/actions/*.png

%dir %_docdir/HTML/en/kaboodle/
%doc %_docdir/HTML/en/kaboodle/common
%doc %_docdir/HTML/en/kaboodle/*.bz2
%doc %_docdir/HTML/en/kaboodle/*.docbook


%_iconsdir/crystalsvg/128x128/apps/kaboodle.png
%_iconsdir/crystalsvg/16x16/apps/kaboodle.png
%_iconsdir/crystalsvg/32x32/apps/kaboodle.png
%_iconsdir/crystalsvg/22x22/apps/kaboodle.png
%_iconsdir/crystalsvg/48x48/apps/kaboodle.png
%_iconsdir/crystalsvg/64x64/apps/kaboodle.png



%files kaudiocreator
%defattr(-,root,root,-)
%_bindir/kaudiocreator
%_menudir/kdemultimedia-kaudiocreator
%_datadir/applications/kde/kaudiocreator.desktop
%dir %_datadir/apps/kaudiocreator/
%_datadir/apps/kaudiocreator/*.rc
%dir %_datadir/apps/kaudiocreator/pics/
%_datadir/apps/kaudiocreator/pics/*.png

%_iconsdir/crystalsvg/16x16/apps/kaudiocreator.png
%_iconsdir/crystalsvg/32x32/apps/kaudiocreator.png
%_iconsdir/locolor/16x16/apps/kaudiocreator.png
%_iconsdir/locolor/32x32/apps/kaudiocreator.png

%_datadir/apps/kconf_update/kaudiocreator-libkcddb.upd

%_datadir/apps/kaudiocreator/eventsrc

%_datadir/config.kcfg/kaudiocreator.kcfg
%_datadir/config.kcfg/kaudiocreator_encoders.kcfg
%_datadir/apps/kconf_update/kaudiocreator-meta.upd
%_datadir/apps/kconf_update/upgrade-kaudiocreator-metadata.sh

%files kscd
%defattr(-,root,root,-)
%dir %_docdir/HTML/en/kscd/
%doc %_docdir/HTML/en/kscd/common
%doc %_docdir/HTML/en/kscd/*.docbook
%doc %_docdir/HTML/en/kscd/*.png
%doc %_docdir/HTML/en/kscd/*.bz2
%_bindir/kscd
%_bindir/workman2cddb.pl

%_datadir/config.kcfg/kscd.kcfg

%config(noreplace) %_datadir/config/kscdrc

%_menudir/kdemultimedia-libkcddb
%_menudir/kdemultimedia-kscd

%_datadir/applications/kde/libkcddb.desktop
%_datadir/applications/kde/kscd.desktop

%dir %_datadir/apps/kscd/
%dir %_datadir/apps/kscd/icons/
%dir %_datadir/apps/kscd/icons/crystalsvg/
%dir %_datadir/apps/kscd/icons/crystalsvg/22x22/
%dir %_datadir/apps/kscd/icons/crystalsvg/22x22/actions/
%_datadir/apps/kscd/icons/crystalsvg/22x22/actions/cdsmall.png

%dir %_datadir/apps/profiles/
%_datadir/apps/profiles/kscd.profile.xml

%_datadir/apps/kconf_update/kcmcddb-emailsettings.upd

%_iconsdir/crystalsvg/128x128/apps/kscd.png
%_iconsdir/crystalsvg/32x32/apps/kscd.png
%_iconsdir/crystalsvg/16x16/apps/kscd.png
%_iconsdir/crystalsvg/48x48/apps/kscd.png
%_iconsdir/crystalsvg/64x64/apps/kscd.png

%_libdir/kde3/kcm_cddb.la
%_libdir/kde3/kcm_cddb.so


%_datadir/mimelnk/text/xmcd.desktop
###################### FIXME!!!
%_datadir/config.kcfg/libkcddb.kcfg

%files -n %lib_name-kscd
%defattr(-,root,root,-)

%files -n %lib_name-kscd-devel
%defattr(-,root,root,-)
%dir %_includedir/libkcddb
%_includedir/libkcddb/*.h



%files kmix
%defattr(-,root,root,-)
%dir %_docdir/HTML/en/kmix/
%doc %_docdir/HTML/en/kmix/common
%doc %_docdir/HTML/en/kmix/*.docbook
%doc %_docdir/HTML/en/kmix/*.bz2
%doc %_docdir/HTML/en/kmix/*.png
%dir %_docdir/HTML/en/kcontrol/
%dir %_docdir/HTML/en/kcontrol/kmixcfg/
%doc %_docdir/HTML/en/kcontrol/kmixcfg/common
%doc %_docdir/HTML/en/kcontrol/kmixcfg/*.bz2
%doc %_docdir/HTML/en/kcontrol/kmixcfg/*.docbook

%_libdir/kde3/kmix*.so
%_libdir/kde3/kmix*.la

%_menudir/kdemultimedia-kmix

%_datadir/autostart/restore_kmix_volumes.desktop


%_bindir/kmix
%_bindir/kmixctrl

%_datadir/services/kmixctrl_restore.desktop

%_datadir/applications/kde/kmix.desktop
%dir %_datadir/apps/kmix/
%_datadir/apps/kmix/*.rc
#
%dir %_datadir/apps/kmix/pics/
%_datadir/apps/kmix/pics/*.png


%_iconsdir/crystalsvg/128x128/apps/kmix.png
%_iconsdir/crystalsvg/16x16/apps/kmix.png
%_iconsdir/crystalsvg/32x32/apps/kmix.png
%_iconsdir/crystalsvg/48x48/apps/kmix.png
%_iconsdir/crystalsvg/64x64/apps/kmix.png

%_datadir/apps/kicker/applets/kmixapplet.desktop


%files -n %lib_name-kmix
%defattr(-,root,root,-)
%_libdir/libkdeinit_kmix.la
%_libdir/libkdeinit_kmix.so
%_libdir/libkdeinit_kmixctrl.la
%_libdir/libkdeinit_kmixctrl.so


%files -n %lib_name-krec
%defattr(-,root,root,-)
%_libdir/libkdeinit_krec.la
%_libdir/libkdeinit_krec.so


%files krec
%defattr(-,root,root,-)
%dir %_datadir/apps/krec/
%_datadir/apps/krec/*.rc
%_datadir/apps/krec/tips
%_bindir/krec
%_datadir/applications/kde/krec.desktop
%_menudir/kdemultimedia-krec

%_libdir/kde3/kcm_krec_files.la
%_libdir/kde3/kcm_krec_files.so
%_libdir/kde3/krec.la
%_libdir/kde3/krec.so
%_libdir/kde3/kcm_krec.la
%_libdir/kde3/kcm_krec.so
%_libdir/kde3/libkrecexport_ogg.la
%_libdir/kde3/libkrecexport_ogg.so
%_libdir/kde3/libkrecexport_wave.la
%_libdir/kde3/libkrecexport_wave.so

%dir %_docdir/HTML/en/krec/
%doc %_docdir/HTML/en/krec/common
%doc %_docdir/HTML/en/krec/*.bz2
%doc %_docdir/HTML/en/krec/*.docbook
%doc %_docdir/HTML/en/krec/*.png

%_datadir/services/kcm_krec.desktop
%_datadir/services/kcm_krec_files.desktop
%_datadir/services/krec_exportogg.desktop
%_datadir/services/krec_exportwave.desktop

%_datadir/icons/crystalsvg/32x32/apps/krec.png
%_datadir/icons/crystalsvg/48x48/apps/krec.png
%_datadir/icons/crystalsvg/64x64/apps/krec.png


%_datadir/servicetypes/krec_exportitem.desktop

%dir %_datadir/apps/krec/icons/
%dir %_datadir/apps/krec/icons/crystalsvg/
%dir %_datadir/apps/krec/icons/crystalsvg/16x16/
%dir %_datadir/apps/krec/icons/crystalsvg/16x16/actions/
%_datadir/apps/krec/icons/crystalsvg/16x16/actions/*.png
%dir %_datadir/apps/krec/icons/crystalsvg/22x22/
%dir %_datadir/apps/krec/icons/crystalsvg/22x22/actions/
%_datadir/apps/krec/icons/crystalsvg/22x22/actions/*.png
%dir %_datadir/apps/krec/icons/crystalsvg/32x32/
%dir %_datadir/apps/krec/icons/crystalsvg/32x32/actions/
%_datadir/apps/krec/icons/crystalsvg/32x32/actions/*.png
%dir %_datadir/apps/krec/icons/crystalsvg/32x32/mimetypes/
%_datadir/apps/krec/icons/crystalsvg/32x32/mimetypes/*.png

%_datadir/icons/crystalsvg/128x128/apps/krec.png
%_datadir/icons/crystalsvg/16x16/apps/krec.png
%_datadir/icons/crystalsvg/22x22/apps/krec.png

%files juk
%defattr(-,root,root,-)
%_bindir/juk
%_datadir/applications/kde/juk.desktop
%_menudir/kdemultimedia-juk


%config(noreplace) %_datadir/config/jukrc
#
%dir %_docdir/HTML/en/juk/
%doc %_docdir/HTML/en/juk/common
%doc %_docdir/HTML/en/juk/*.docbook
%doc %_docdir/HTML/en/juk/*.bz2
%doc %_docdir/HTML/en/juk/*.png
#

%dir %_datadir/apps/juk
%_datadir/apps/juk/*.rc
%dir %_datadir/apps/juk/pics/
%_datadir/apps/juk/pics/*.png

%_datadir/apps/konqueror/servicemenus/jukservicemenu.desktop

%_datadir/icons/crystalsvg/16x16/apps/juk.png
%_datadir/icons/crystalsvg/22x22/actions/juk_dock.png
%_datadir/icons/crystalsvg/32x32/apps/juk.png
%_datadir/icons/crystalsvg/48x48/apps/juk.png
%_datadir/icons/crystalsvg/64x64/apps/juk.png
%_datadir/icons/crystalsvg/128x128/apps/juk.png


%files kmid
%defattr(-,root,root,-)
%dir %_docdir/HTML/en/kmid/
%doc %_docdir/HTML/en/kmid/common
%doc %_docdir/HTML/en/kmid/*.docbook
%doc %_docdir/HTML/en/kmid/*.bz2
%_bindir/kmid


%_menudir/kdemultimedia-kmid

%dir %_datadir/apps/kmid/
%_datadir/apps/kmid/*.kar
%_datadir/apps/kmid/*.rc
#
%dir %_datadir/apps/kmid/fm/
%_datadir/apps/kmid/fm/*.o3
%_datadir/apps/kmid/fm/*.sb
#
%dir %_datadir/apps/kmid/icons/
%_datadir/apps/kmid/icons/*.xpm
#
%dir %_datadir/apps/kmid/icons/crystalsvg/
%dir %_datadir/apps/kmid/icons/crystalsvg/16x16/
%dir %_datadir/apps/kmid/icons/crystalsvg/16x16/actions/
%_datadir/apps/kmid/icons/crystalsvg/16x16/actions/*.png
#
%dir %_datadir/apps/kmid/icons/crystalsvg/22x22/
%dir %_datadir/apps/kmid/icons/crystalsvg/22x22/actions/
%_datadir/apps/kmid/icons/crystalsvg/22x22/actions/*.png
#
%dir %_datadir/apps/kmid/icons/crystalsvg/32x32/
%dir %_datadir/apps/kmid/icons/crystalsvg/32x32/actions/
%_datadir/apps/kmid/icons/crystalsvg/32x32/actions/*.png
#

#
%dir %_datadir/apps/kmid/maps/
%_datadir/apps/kmid/maps/*.map
#
%_datadir/applications/kde/kmid.desktop

%_datadir/mimelnk/audio/x-karaoke.desktop
%_datadir/servicetypes/audiomidi.desktop

%_iconsdir/crystalsvg/16x16/apps/kmid.png
%_iconsdir/crystalsvg/32x32/apps/kmid.png
%_iconsdir/crystalsvg/48x48/apps/kmid.png


%files kmidi
%defattr(-,root,root,-)
%_libdir/kde3/libkmidpart.la
%_libdir/kde3/libkmidpart.so



%files -n %lib_name-common-devel
%defattr(-,root,root,-)
#
%_includedir/audiocdencoder.h
#
%dir %_includedir/arts/
%_includedir/arts/*.h
%_includedir/arts/*.idl
#
#
%dir %_includedir/mpeglib/
%dir %_includedir/mpeglib/decoder/
%_includedir/mpeglib/decoder/*.h
#
%dir %_includedir/mpeglib/frame/
%_includedir/mpeglib/frame/*.h
#
%dir %_includedir/mpeglib/input/
%_includedir/mpeglib/input/*.h
#
%dir %_includedir/mpeglib/mpegutil/
%_includedir/mpeglib/mpegutil/*.h
#
%dir %_includedir/mpeglib/oggvorbis/
%_includedir/mpeglib/oggvorbis/*.h
#
%dir %_includedir/mpeglib/output/
%_includedir/mpeglib/output/*.h
#
%dir %_includedir/mpeglib/splay/
%_includedir/mpeglib/splay/*.h
#
%dir %_includedir/mpeglib/util/
%_includedir/mpeglib/util/*.h
#
#
%dir %_includedir/mpeglib/util/abstract/
%_includedir/mpeglib/util/abstract/*.h
#
%dir %_includedir/mpeglib/util/file/
%_includedir/mpeglib/util/file/*.h
#
%dir %_includedir/mpeglib/util/render/
%_includedir/mpeglib/util/render/*.h
#
%dir %_includedir/mpeglib/util/yaf/
%dir %_includedir/mpeglib/util/yaf/yafcore/
%_includedir/mpeglib/util/yaf/yafcore/*.h
#
%dir %_includedir/mpeglib/util/yaf/yafxplayer/
%_includedir/mpeglib/util/yaf/yafxplayer/*.h
#
%dir %_includedir/mpeglib/util/mmx/
%_includedir/mpeglib/util/mmx/*.h
#
%dir %_includedir/mpeglib_artsplug/
%_includedir/mpeglib_artsplug/*.h
%_includedir/mpeglib_artsplug/*.idl
#
#

%dir %_includedir/akode/
%_includedir/akode/*.h

%_libdir/libakode.so
%_libdir/libaudiocdplugins.so

%_libdir/libarts_mpeglib.so
%_libdir/libarts_splay.so
%_libdir/libartsbuilder.so
%_libdir/libartseffects.so
%_libdir/libartsgui.so
%_libdir/libartsgui_idl.so
%_libdir/libartsgui_kde.so
%_libdir/libartsmidi.so
%_libdir/libartsmidi_idl.so
%_libdir/libartsmodules.so
%_libdir/libmpeg.so
%_libdir/libnoatun.so
%_libdir/libartscontrolapplet.so
%_libdir/libartscontrolsupport.so
%_libdir/libkcddb.so
%_libdir/libkmidlib.so



%_libdir/libnoatuncontrols.so
%_libdir/libwinskinvis.so
%_libdir/libyafcore.so
%_libdir/libyafxplayer.so
%_libdir/libnoatuntags.so
%_libdir/libartsmodulesmixers.so
%_libdir/libartsmoduleseffects.so
%_libdir/libartsmodulescommon.so
%_libdir/libartsmodulessynth.so




%changelog
* Tue Sep 13 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-09-13 17:39:11 (889)
- Remove requires on libnoatunarts.so

* Fri Sep 09 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-09-09 08:42:49 (849)
- Rebuild

* Wed Sep 07 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-09-07 19:00:20 (826)
- Fix kscd autostart

* Tue Aug 30 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-08-30 10:37:14 (771)
- Fix compile under x86_64

* Tue Aug 23 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-08-23 14:15:11 (720)
- Add direct audio device by default patch from  fundawang

* Tue Aug 23 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-08-23 08:57:36 (713)
- New sync (kaudiocreator fixes)

* Thu Aug 18 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-08-18 02:41:25 (683)
- New sync

* Fri Aug 12 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-08-12 04:24:32 (607)
- Fix kscd crash kde bug #17468

* Wed Aug 03 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-08-03 11:24:30 (519)
- Remove debug
  Fix diff from 3.4.2 branch

* Fri Jul 22 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-07-22 08:17:28 (416)
- 3.4.2

* Tue May 24 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-24 20:14:35 (138)
- Uploading package ./kdemultimedia

%changelog
* Wed May 04 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-7mdk
- Rebuild

* Thu Apr 21 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-6mdk
- Add missing buildrequires found by Christiaan Welvaart <cjw@daneel.dyndns.org>

* Sun Apr 17 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-5mdk
- Oops fix exception

* Sun Apr 17 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-4mdk
- Fix depend
- Fix requires

* Wed Apr 13 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-3mdk
- Add  alsa-utils MDK #11144

* Tue Apr 12 2005 Laurent MONTEL <lmontel@mandriva.com>  3.4.0-2mdk
- Add patch32: fix kscd numeric acces

* Wed Apr 06 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0 
- Use --enable-new-ldflags
- Reactivate debug
- Fix exception

* Mon Mar 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-22mdk
- Add patch22: fix build with cdda

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-21mdk
- Add patch21: fix audiocd encoder "The quality setting is a double and not integer."

* Thu Mar 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-20mdk
- Requires kaudiocreator on kdemultimedia-common MDK #14450

* Fri Mar 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-19mdk
- Add patch20: fix kfile-flac crash

* Fri Feb 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-18mdk
- Fix juk : "Restore the playlist time display when stop is pressed."

* Mon Feb 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-17mdk
- Fix kscd config file (multimedia shortcut)
- Add jukrc shortcut file

* Fri Feb 11 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.3.2-16mdk
- fix build on x86_64

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-15mdk
- Add patch26: fix launch kscd with device

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-14mdk
- Disable debug

* Fri Jan 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-13mdk
- Fix generated menu entry

* Wed Jan 26 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-12mdk
- Fix MDK bug "Unknown Protocol 'audiocd'."

* Tue Jan 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-11mdk
- Add patch25: fix autostart restore kmix (disable by default as in config)

* Sat Jan 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-10mdk
- Add patch24: fix kscd kde bug #92164 (re read shortcut)

* Mon Jan 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-9mdk
- Add patch23: fix juk kde bug #97097

* Sat Jan 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-8mdk
- Rebuild

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-7mdk
- Add patch22: fix kaudiocreator path

* Tue Dec 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-6mdk
- Add missing buildrequires as requested by Per yvind Karlsen (thanks)

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-5mdk
- Add patch21: fix kscd duplicate entry into shortcut

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Add kscdrc to multimedia shortcut

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-3mdk
- Fix missing package

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-2mdk
- Fix menu

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Tue Nov 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-8mdk
- Fix other arts requires

* Mon Nov 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-7mdk
- Requires arts

* Wed Oct 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-6mdk
- Bye-bye %%buildfor

* Tue Oct 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-5mdk
- Fix create audiocd menu

* Thu Oct 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-4mdk
- Fix other buildrequires

* Fri Oct 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- Fix buildrequires

* Tue Oct 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Deprecated mdk < 9.2
- Sync with CVS

* Thu Oct 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- 3.3.1

* Fri Oct 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-6mdk
- Rebuild with new taglib

* Tue Sep 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-4mdk
- Sync with kde 3.3 branch

* Tue Sep 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-3mdk
- Fix conflict

* Tue Sep 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-2mdk
- Sync with kde 3.3 branch (fix kscd)

* Thu Sep 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- 3.3.0

* Tue Aug 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-12mdk
- Fix kcddb install menu

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-11mdk
- Add patch19: add command line to kscd "kscd --device /dev/hdc" necessary
	for magicdev

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-10mdk
- Remove debug

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Add patch18: fix kscd change device

* Fri Jul 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Use musicbrain

* Thu Jul 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Fix dependancy

* Fri Jul 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Fix spec file

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Fix remove rpath

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Rebuild

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Add patch17: fix patch on close
- Sync with CVS

* Fri Jun 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Add missing buildrequires

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Thu Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-6mdk
- Rebuild

* Thu Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-5mdk
- Fix conflict

* Tue Jun 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-4mdk
- Rebuild with debug

* Fri May 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-3mdk
- Sync with CVS

* Thu May 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Rebuild again qt 3.3.2

* Mon Apr 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-3mdk
- Fix spec file for using rpmbuildupdate

* Fri Apr 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix conflict reported by Titi

* Thu Apr 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Tue Mar 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-15mdk
- Use %%configure
- Use mdkversion

* Mon Mar 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-14mdk
- Fix patch16: don't load volume on statup

* Thu Mar 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-13mdk
- Add patch15: start kmix as applet
- Add patch16: don't load volume on startup otherwise it overwrites mdk mixer config

* Wed Mar 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-12mdk
- Remove cddaslave for gb

* Tue Mar 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-11mdk
- Fix spec file

* Thu Feb 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-10mdk
- Sync with CVS (fix kaudiocreator)

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-9mdk
- Fix distlint

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-8mdk
- Sync with CVS

* Thu Feb 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-7mdk
- Sync with CVS (fix crash into krec)

* Wed Feb 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-6mdk
- Fix crash into kmix

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-5mdk
- Sync with CVS (fix juk)
- Rebuild with new kdedesktop2mdkmenu.pl
- Fix distlint

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-4mdk
- Sync with CVS (kmix fix)

* Tue Feb 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-3mdk
- Update CVS

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Sync with CVS
- Fix distint pb

* Tue Feb 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.3mdk
- Fix update from 9.2

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.2mdk
- Sync with CVS

* Thu Jan 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.1mdk
- Change package version

* Thu Jan 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-4mdk
- Fix menu entry

* Thu Jan 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-3mdk
- Sync with CVS

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-2mdk
- Sync with CVS

* Wed Jan 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-1mdk
- Fix requires
- 3.1.95

* Mon Jan 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-12mdk
- Add epoch for rpm 4.2.2

* Wed Jan 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-11mdk
- Fix description

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-10mdk
- Fix BuildRequires
- Sync with CVS
- use use_enable_final variable
- Reverte VFolder menu type to 'menu' menu type

* Fri Jan 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-9mdk
- Sync with CVS

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-8mdk
- Sync with CVS

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-7mdk
- Sync with CVS

* Thu Dec 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-6mdk
- --enable-final

* Wed Dec 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-5mdk
- Sync with CVS

* Tue Dec 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-4mdk
- sync with CVS

* Fri Dec 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-3mdk
- Sync with CVS

* Tue Dec 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-2mdk
- Rebuild with new taglib

* Mon Dec 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-1mdk
- Beta2
- Fix typo
- Fix group

* Fri Nov 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-7mdk
- Sync with CVS

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-6mdk
- Fix menu

* Fri Nov 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-5mdk
- Fix some provides

* Thu Nov 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-4mdk
- Fix spec file

* Tue Nov 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-3mdk
- Use taglib

* Mon Nov 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-2mdk
- Port to vfolder

* Wed Oct 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-1mdk
- beta1

* Mon Oct 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-10mdk
- Sync with CVS

* Wed Oct 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-9mdk
- Fix spec file

* Sun Oct 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-8mdk
- Sync with CVS

* Wed Oct 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-7mdk
- Sync with CVS

* Mon Oct 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-6mdk
- Sync with CVS

* Fri Oct 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-5mdk
- Sync with CVS

* Sat Oct 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-4mdk
- Sync with CVS

* Fri Oct 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-3mdk
- Sync with CVS

* Sun Sep 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-2mdk
- Update from CVS

* Wed Sep 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-1mdk
- 3.1.92
- Fix requires

* Wed Sep 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-2mdk
- Fix spec file

* Sun Sep 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-1mdk
- 3.1.91

* Thu Sep 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-16mdk
- Fix upgrade

* Tue Sep 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-15mdk
- Fix depend

* Mon Sep 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-14mdk
- Fix split

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-13mdk
- Fix split

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-12mdk
- Fix build

* Fri Aug 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-11mdk
- Add patch14: fix kaudiocreator default value

* Wed Aug 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-10mdk
- Fix description

* Thu Aug 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-9mdk
- Other split

* Thu Aug 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-8mdk
- Create meta package

* Thu Aug 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-7mdk
- Split again

* Thu Aug 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-6mdk
- Split

* Thu Aug 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-5mdk
- Fix compile

* Mon Aug 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-4mdk
- Add provides

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Split

* Wed Jul 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-2mdk
- Fix install devel package

* Wed Jul 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Thu Jul 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-11mdk
- Patch12 fix compile

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-10mdk
- Fix requires

* Thu Jul 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-9mdk
- Add patch10: fix requires (Thanks Gwenole)

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-8mdk
- Rebuild

* Fri Jul 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-7mdk
- Rebuild

* Fri Jun 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Add patch9: allow to change shortcut in krec

* Fri Jun 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-5mdk
- Patch6 : Add default value in kaudiocreator
- Patch7: allow to change shortcut in kboodle
- Patch8: fix kmid change shortcut 

* Wed Jun 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Add patch5: allow to change shortcut in kmix

* Wed May 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Split kmidi

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2
- Apply patch from David Walser remove conflict with Timidity

* Fri Apr 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Add buildfor9.2

* Fri Mar 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1

* Wed Mar 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-10mdk
- Add patch5 : fix from kde3.1 branch
fix kaboodle :" don't jump every second"
Fix kscd

* Sun Feb 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Update code

* Wed Feb 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Update code fix kaudiocreator bug

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Update code ( remove midi files )

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Update code ( fix kscd bug )

* Thu Feb 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Update code

* Tue Feb 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Update code fix kscd (Bug 53935)

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Update code from kde_3_1_branch fix kscd dialog box bug, fix detect alsa version

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Add patch4 : fix kscd (don't stop playing on the next track after pressing next)

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- 3.1

* Fri Jan 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.6mdk
- Add patch3 : remove mem leak

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.5mdk
- Remove debug

* Mon Jan 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.4mdk
- Add patch2 : fix mem leak in arts

* Fri Jan 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Apply Gwenole patch "Make it lib64 aware"

* Tue Jan 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Add patch16 : sync config and default value in kcontrol->audiocd

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Thu Dec 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.2mdk
- Fix menu entry (audiocd)

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Wed Nov 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.2mdk
- Fix description thanks to "Yura Gusev" <elendal-sub@polygonized.com> 

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.2mdk
- Fix missing files

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- rc1

* Mon Oct 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- Fix menu entry

* Wed Oct 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Sat Oct 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-7mdk
- Add patch15 : fix noatun patch from Maks Orlovich <mo002j@mail.rochester.edu>

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Add patch14 : fix kscd mem leak

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch13 : Improve kaboodle patch

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch12 : fix crash when kaboodle is embedded into konqueror 

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch10 : fix select arts module with double click in artsbuilder
- Add patch11 : fix artbuilder mem leak ( 3 mem leak )

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch8 : fix mem leak in koncd
- Add patch9 : fix mem leak in kmix -> kcontrol

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Rebuild against gcc-3.2
- Disable debuggage

* Mon Jul 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Remove requires on xanim

* Mon Jul 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Add conflict TiMidity++

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Add patch7 : fix compile on ix64
- Rebuild against gcc-3.2

* Sat Jun 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Sun Jun 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-7mdk
- Patch4: fix makefile.am in kmidi patch from David Faure.
- Patch5: Other fix in Makefile.am for kmidi/BIPMAPS patch from David Faure
- Patch6: Other fix in Makefile.am for kmidi patch from David Faure

* Sat Jun 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-6mdk
- Reactivate debug

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- Rebuid with libstdc++3.1

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- Fix provide/obsoletes

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- fix menu entry

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- rebuild

* Sat May 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-7mdk
- Rebuild aginst gcc3.1
- Add patch3 fix compile on gcc 3.1 patch by "MDK gcc man" gwenole thanks a lot !
- Add patch2 fix other compile problem on gcc3.1

* Sat Apr 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-6mdk
- Desactivate alsa support for 8.3 for the moment kmix doesn't compile
with alsa0.9

* Sat Apr 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-6mdk
- rebuild against libalsa2

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- Fix spec file

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Fix spec file

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Fix noatun bugs

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Fix update menu

* Thu Mar 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- fix spec

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Fri Mar 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.4mdk
- rebuild

* Sat Feb 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.3mdk
- Add missing files

* Fri Feb 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- add patch1 fix compile

* Sat Feb 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sat Jan 05 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.4mdk
- Remove 7.2 support (too old to be easily supported)
- Don't build static libraries
- Allow KDE 2 and KDE 3 to be installed in same time
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
  now)
- Add missing files
- Fix Group:

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.3mdk
- Rename to allow KDE 2 and KDE 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Thu Nov 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improved spec file

* Sat Nov 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
